Bug 850267 - Introduce new systemd-rpm macros in pdns-recursor spec file
Introduce new systemd-rpm macros in pdns-recursor spec file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pdns-recursor (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Morten Stevens
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 09:58 EDT by Lukáš Nykrýn
Modified: 2012-10-15 08:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-15 08:39:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:58:34 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Fedora Update System 2012-09-27 08:43:32 EDT
pdns-recursor-3.3-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pdns-recursor-3.3-8.fc18
Comment 2 Fedora Update System 2012-09-27 20:19:12 EDT
Package pdns-recursor-3.3-8.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pdns-recursor-3.3-8.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14930/pdns-recursor-3.3-8.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Admin XMLRPC Client 2012-10-06 10:25:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Morten Stevens 2012-10-15 08:39:12 EDT
Fixed in:

pdns-recursor-3.3-8.fc18

Note You need to log in before you can comment on or make changes to this bug.